# gitlab-to-doap

Given a [gitlab personal token][] and a gitlab project, produce a [DOAP][] XML
file.

[gitlab personal token]: https://docs.gitlab.com/ce/user/profile/personal_access_tokens.html
[DOAP]: https://github.com/ewilderj/doap/wiki

## Installation

Install it yourself as:

    $ gem install gitlab-to-doap

## Usage

Pass the name of the project you want to produce a DOAP XML file for. It will be sent to `stdout`.

    $ gitlab-to-doap nogweii/dotfiles

This requires two environment variables to be already defined:

* **GITLAB_API_ENDPOINT**: Full URL to the Gitlab instance. Must end with `/api/v4`.
* **GITLAB_API_PRIVATE_TOKEN**: Your personal access token to the Gitlab instance.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake test` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and the created tag, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome! Email me or other contact methods at [my website](https://evaryont.me).
