# frozen_string_literal: true

# SPDX-License-Identifier: Apache-2.0

require_relative "lib/gitlab-to-doap/version"

Gem::Specification.new do |spec|
  spec.name          = "gitlab-to-doap"
  spec.version       = GitlabToDoap::VERSION
  spec.authors       = ["Nogweii"]
  spec.email         = ["me@nogweii.net"]
  spec.license       = "Apache-2.0"

  begin
    description = File.read("DESCRIPTION")
  rescue Errno::ENOENT
    description = nil
  end

  spec.summary       = description
  spec.description   = description
  spec.homepage      = "https://code.aether.earth/nogweii/gitlab-to-doap"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.7.0")

  spec.metadata["homepage_uri"]      = spec.homepage
  spec.metadata["source_code_uri"]   = "https://code.aether.earth/nogweii/gitlab-to-doap"
  spec.metadata["changelog_uri"]     = "https://code.aether.earth/nogweii/gitlab-to-doap/TODO"
  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features|bin)/}) } + Dir.glob("man/**/*.?") + ["DESCRIPTION"]
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  spec.add_dependency "builder", "~> 3.0"
  spec.add_dependency "gitlab", "~> 4.0"
  spec.add_dependency "redcarpet", "~> 3.5"
  spec.add_dependency "tty-option", "~> 0.1"
  spec.add_dependency "tty-screen"
  # spec.add_dependency "spdx", "~> 3.0"

  spec.add_development_dependency "minitest"
end
